  

.miam-shadow-overlay {
  position: fixed;
  background: rgba(0, 0, 0, 0.6);
  z-index: var(--m-z-index-modal-overlay);
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
}

.miam-recipe-helper {
  z-index: var(--m-z-index-modal);
  position: fixed;
  height: auto;
  width: fit-content;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  overflow-y: auto;
  overflow-x: hidden;
  border-radius: 8px;
  background-color: var(--m-color-grey);
  display: flex;
  flex-direction: column;
  padding: 32px;


  .miam-recipe-helper__title {
    padding: 32px 0;
    font-size: 28px;
    color: var(--m-color-primary);
    text-align: center;
  }
  
  .miam-recipe-helper__description {
    text-align: justify;
    font-size: 17px;
  }

  .miam-recipe-helper__how {
    margin-top: 32px;
    font-size: 20px;
  }

  .miam-recipe-helper__step {
    margin: 26px 0 15px;
    display: flex;
    font-size: 17px;

    .miam-recipe-helper__step__number {
      height: 24px;
      width: 24px;
      margin-right: 13px;
      background-color: var(--m-color-primary);
      border-radius: 12px;
      color: var(--m-color-white);
      text-align: center;
    }

    .miam-recipe-helper__step__description {
      display: flex;

      .miam-recipe-helper__step__icon {
        margin: -5px 8px 0 8px;
      }

      .miam-recipe-helper__step__aftericon {
        position: absolute;
        text-indent: 300px;
        margin-right: 32px;
      }
    }
  }

  .miam-recipe-helper__actions {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;

    .miam-recipe-helper__actions__moreInfo {
      margin-left: 16px;
    }
  }
}